import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;
/**
 * Ventana de Login inicial
 * Solo ingresamos usuario y contrasena
 * el resto de los datos de la conexion los vamos
 * a tomar de un archivo de configuracion de la 
 * aplicacion
 * 
 * @author G. Cherencio 
 * @version 1.0
 */
public class LoginView {
    private JFrame fr = new JFrame("Ingreso Sistema Facturacion");
    private JLabel lblUsr = new JLabel("Usuario:");
    private JLabel lblClave = new JLabel("Clave:");
    private JTextField txtUsr = new JTextField("sysdba");
    private JPasswordField txtClave = new JPasswordField();
    private JButton btnLogin = new JButton("Ingresar");
    private JButton btnSalir = new JButton("Salir");
    
    public LoginView() {
        // seleccionamos un Layout Manager
        JPanel plCentral = new JPanel();
        plCentral.setLayout(new GridLayout(6,2));
        plCentral.add(new JLabel(""));
        plCentral.add(new JLabel(""));
        plCentral.add(lblUsr);
        plCentral.add(txtUsr);
        plCentral.add(lblClave);
        plCentral.add(txtClave);
        plCentral.add(new JLabel(""));
        plCentral.add(new JLabel(""));
        plCentral.add(btnSalir);
        plCentral.add(btnLogin);
        
        // Inicializo datos globales de la aplicacion
        Util.clave = null;
        Util.usuario = null;
        Util.loginOk = false;
        
        // agregar eventos
        btnSalir.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                // finalizo la aplicacion
                System.exit(0);
            }
        });
        btnLogin.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                // validar el ingreso de usuario y contrasena
                if ( txtUsr.getText().length() == 0 ) {
                    JOptionPane.showMessageDialog(fr, "Debe Ingresar el Usuario para conectarse", "Sistema Facturacion - Error", JOptionPane.ERROR_MESSAGE);
                    txtUsr.requestFocus();
                }
                String clave = new String(txtClave.getPassword());
                if ( clave.length() == 0 ) {
                    JOptionPane.showMessageDialog(fr, "Debe Ingresar la Clave para conectarse", "Sistema Facturacion - Error", JOptionPane.ERROR_MESSAGE);
                    txtClave.requestFocus();
                }
                // el usuario ingreso usuario y clave
                if ( txtUsr.getText().equals("sysdba") && clave.equals("masterkey") ) {
                    Util.loginOk = true;
                    Util.usuario = txtUsr.getText();
                    Util.clave = clave;
                    fr.hide(); // oculta la pantalla de login
                    new AppView();
                } else {
                    JOptionPane.showMessageDialog(fr, "Usuario o Clave incorrecta", "Sistema Facturacion - Error", JOptionPane.ERROR_MESSAGE);
                }
            }
        });
        
        fr.setLayout(new BorderLayout());
        fr.add(plCentral,BorderLayout.CENTER);
        fr.setSize(400,200);
        fr.setResizable(false);
        fr.setLocationRelativeTo(null); // centramos pantalla
        fr.setVisible(true);
    }
    
    public static void main(String[] arg) {
        new LoginView();
    }

}
